/*  kview-rgb.h

    Include file for  kview-rgb  (X11 image display tool for Karma).

    Copyright (C) 1998  Richard Gooch

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    Richard Gooch may be reached by email at  karma-request@atnf.csiro.au
    The postal address is:
      Richard Gooch, c/o ATNF, P. O. Box 76, Epping, N.S.W., 2121, Australia.
*/

/*
    This Karma module will enable on-screen imaging of three arrayfiles of
    the general data structure format.
    This module runs on an X11 server.


    Written by      Richard Gooch   5-SEP-1998

    Last updated by Richard Gooch   5-SEP-1998


*/

#include <karma.h>
#include <karma_canvas.h>
#include <karma_iarray.h>

typedef struct
{
    iarray array;
    double min;
    double max;
    double low_clip;
    double high_clip;
} Dataset;


/*  File: main_xt.c  */

/*  File: event.c  */
EXTERN_FUNCTION (flag process_set,
		 (Dataset *set, multi_array *multi_desc,
		  KWorldCanvas canvas) );
EXTERN_FUNCTION (void process_range, (Dataset *set) );
